[Python-Dev] Released fixes for CVE-2008-2315 for Python 2.4?

Jesse Noller jnoller at gmail.com
Sat Nov 8 14:38:49 CET 2008


No - multiprocessing should not go to the official 2.4/2.5 branches.  
The PEP specified 2.6 and beyond.

The fix for 874900 is not a bad idea though.

On Nov 8, 2008, at 6:41 AM, Victor Stinner  
<victor.stinner at haypocalc.com> wrote:

> Le Saturday 08 November 2008 00:07:33 Martin v. Löwis, vous avez écr 
> it :
>> Yes, my plan is to release 2.5.3 and 2.4.6 simultaneously.
>> 2.4.6 will essentially contain everything that is on the
>> branch today, unless somebody comes up with an urgent patch
>> that also needs consideration.
>
> Skip Montanaro and others hackers started to port the  
> multiprocessing module
> to Python 2.4 and 2.5.
>   http://code.google.com/p/python-multiprocessing/
>
> Is it planned to include it in 2.4.6 and/or 2.5.3? I don't know the  
> status of
> the project, but it looks like it's still in alpha or beta phase (so  
> far to
> be stable and robust). Or can we at least include the needed patches?
> Especially th threading + fork issue:
>   http://bugs.python.org/issue874900
>
> -- 
> Victor Stinner aka haypo
> http://www.haypocalc.com/blog/
> _______________________________________________
> Python-Dev mailing list
> Python-Dev at python.org
> http://mail.python.org/mailman/listinfo/python-dev
> Unsubscribe: http://mail.python.org/mailman/options/python-dev/jnoller%40gmail.com


More information about the Python-Dev mailing list